Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.api.engine.scheduling.domain
Class ReportJobTrigger

    java.lang.Object
      com.jaspersoft.jasperserver.api.engine.scheduling.domain.ReportJobTrigger

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  ReportJobCalendarTrigger, ReportJobSimpleTrigger

    public abstract class ReportJobTrigger

extends java.lang.Object
implements java.io.Serializable

Version:
  $Id: ReportJobTrigger.java 8408 2007-05-29 23:29:12Z melih $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)
See Also:
  Serialized Form

Field Summary
`static byte` | `START_TYPE_NOW`
`static byte` | `START_TYPE_SCHEDULE`

Constructor Summary
`ReportJobTrigger()`

Method Summary
`java.util.Date` | `getEndDate()`
`long` | `getId()`
`java.util.Date` | `getStartDate()`
`byte` | `getStartType()`
`java.lang.String` | `getTimezone()`
`int` | `getVersion()`
`void` | `setEndDate(java.util.Date endDate)`
`void` | `setId(long id)`
`void` | `setStartDate(java.util.Date startDate)`
`void` | `setStartType(byte startType)`
`void` | `setTimezone(java.lang.String timezone)`
`void` | `setVersion(int version)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### START_TYPE_NOW

    public static final byte START_TYPE_NOW

See Also:
  Constant Field Values

### START_TYPE_SCHEDULE

    public static final byte START_TYPE_SCHEDULE

See Also:
  Constant Field Values

Constructor Detail

### ReportJobTrigger

    public ReportJobTrigger()

Method Detail

### getId

    public long getId()

### setId

    public void setId(long id)

### getVersion

    public int getVersion()

### setVersion

    public void setVersion(int version)

### getStartDate

    public java.util.Date getStartDate()

### setStartDate

    public void setStartDate(java.util.Date startDate)

### getStartType

    public byte getStartType()

### setStartType

    public void setStartType(byte startType)

### getEndDate

    public java.util.Date getEndDate()

### setEndDate

    public void setEndDate(java.util.Date endDate)

### getTimezone

    public java.lang.String getTimezone()

### setTimezone

    public void setTimezone(java.lang.String timezone)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.